@font-face {
    font-family: 'Satoshi-Variable';
    src: url('assets/fonts/Satoshi-Variable.woff2') format('woff2');
    font-weight: 300 900;
    font-display: swap;
    font-style: normal;
}

:root {
    --bg: #c3e6eb;
    --text: #3a525e;
    --border-r: 1rem;
    --gap: 0.6rem;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    background: color-mix(in srgb, var(--bg) 80%, rgb(32, 32, 32) 20%);
    padding: .6rem;
    font-family: 'Satoshi-Variable', sans-serif;
}

li {
    list-style-type: none;
    font-size: 1.2rem;
    font-weight: 700;
}

a:visited {
    color: var(--text);
}

a:link {
    text-decoration: none;
    color: var(--text);
}

/* NAVIGACE */
header {
    background: var(--bg);
    display: flex;
    flex-direction: column;
}

.nadpis {
    font-size: 1.2rem;
    font-family: 'Satoshi-Variable', sans-serif;
    font-variation-settings: 'wght' 900;
    font-weight: 900;
    color: var(--text);
    display: flex;
    justify-content: space-between;
}

.navigace-list {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    border-top: 1px solid color-mix(in srgb, var(--bg) 90%, black 10%);
    padding-top: 1rem;
    gap: 2rem;
    justify-content: start;
    position: relative;
}

.navigace-list_item::before {
    content: '';
    position: absolute;
    transform: translate(-1.3rem, .3rem);
    width: 1rem;
    height: 1rem;
    background-image: url('assets/images/icons/tulip.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

.navigace-list_item {
    padding-left: 1rem;
}

.podtext {
    font-size: 1.6rem;
    font-variation-settings: 'wght' 600;
    font-weight: 600;
    color: var(--text);
}

.surface-secondary {
    color: color-mix(in srgb, var(--bg) 40%, black 60%);
    font-weight: 500;
}

.soc a {
    width: 100%;
    justify-content: start;
    padding: 2rem 0rem;
}

.soc span {
    display: flex;
    justify-content: center;
    gap: .2rem;
}

.pocitadlo {
    display: flex;
    width: 100%;
    justify-content: end;
}

.card {
    border-radius: var(--border-r);
    padding: 1rem;
}

/* GRID A KARTY */
main {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-auto-flow: dense;
    gap:  var(--gap);
    margin-top: var(--gap);
}

.card-img {
    aspect-ratio: 1 / 1;
    position: relative;
    overflow: hidden;
    border-radius: var(--border-r);
}

.card-img-info {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 10;
    color: var(--text);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.card-btn-wrapper {
    all: unset; 
    display: block;
    width: 100%;
    height: 100%;
    cursor: pointer;
    box-sizing: border-box;
    position: relative;
}

.card-btn-wrapper:focus-visible {
    outline: 2px solid color-mix(in srgb, var(--text) 50%, white 50%);
    border-radius: var(--border-r);
}

.card-img picture,
.card-img img {
    display: block;
    width: 100%;
    height: 100%; 
    object-fit: cover;
    margin: 0;
    padding: 0;
    border-radius: var(--border-r);
}

.card_info {
    position: absolute;
    padding: .4rem;
    border-radius: var(--border-r);
    transition: .5s;
    z-index: 2;
}

.card-img:hover .card_info {
    background-color: #b9c4c99c;
}

.card_date { left: .4rem; top: .4rem; }
.card-title { left: .4rem; bottom: .4rem; }
.card-id { right: .4rem; bottom: .4rem; }

/* MODÁLNÍ OKNO */
.card_modal {
    background: color-mix(in srgb, var(--bg) 80%, rgb(32, 32, 32) 20%);
    height: 100dvh;
    width: 100%;
    padding: var(--gap);
    border: none;
}

.modal-content-wrapper {
    position: relative;
    width: 100%;
    height: 100%;
}

.card_modal img {
    height: calc(100dvh - 19.2px);
    width: 100%;
    object-fit: cover;
    border-radius: var(--border-r);
}

.card_modal-close {
    all: unset;
    width: 32px;
    height: 32px;
    z-index: 999;
    position: absolute;
    left: 1.2rem;
    bottom: 1.2rem;
    background: var(--text);
    border-radius: var(--border-r);
    color: rgb(248, 246, 229);
    padding: .2rem;
    cursor: pointer;
}

.card_modal {
    opacity: 0;
    transform: translateY(-100%);
    transition: opacity 0.6s cubic-bezier(0.65, 0, 0.35, 1),
                transform 0.6s cubic-bezier(0.65, 0, 0.35, 1),
                overlay 0.6s allow-discrete,
                display 0.6s allow-discrete;
}

.card_modal:popover-open {
    opacity: 1;
    transform: translateY(0);
}

@starting-style {
    .card_modal:popover-open {
        opacity: 0;
        transform: translateY(100%);
    }
}


/* MODIFIKAČNÍ TŘÍDY PRO GRID */
.span-full { grid-column: span 2; aspect-ratio: 2 / 1; }
.span-2x1 { grid-column: span 2; grid-row: span 1; aspect-ratio: 2 / 1; }
.span-1x2 { grid-column: span 1; grid-row: span 2; aspect-ratio: 1 / 2; }
.span-2x2 {grid-column: span 2; grid-row: span 2; aspect-ratio: 1 / 1; }
@media (min-width: 1024px) {
    main { grid-template-columns: repeat(4, 1fr); grid-auto-flow: dense;}
    .span-full { grid-column: span 4; aspect-ratio: 4 / 1; }
    .span-2x2 { grid-column: span 2; grid-row: span 2; aspect-ratio: 1 / 1; }
}
@media (min-width: 1024px) {
    .grid-segment-a {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-auto-flow: dense;
    }
    header {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: 1fr 1fr;
    }
    .nadpis {
        grid-column-start: 1;
        grid-column-end: 3;
    }
    .navigace {
        grid-row-start: 1;
        grid-row-end: 3;
        grid-column-start: 3;
        padding: 0rem 1rem 1rem 1rem;
    }
    .navigace-list {
        border-top: none;
    }
    .podtext {
        grid-row-start: 2;
        grid-column-start: 1;
        grid-column-end: 3;
        padding-top: 1rem;
        padding-right: 2rem;
    }
    .pocitadlo {
        grid-column-start: 4;
        grid-row-start: 2;
        display: flex;
        flex-direction: column;
        text-align: end;
    }
    .soc {
        display: flex;
        justify-content: end;
        grid-column-end: 5;
        grid-row-start: 1;        
    }
    .soc a {
        padding: 1rem;
    }
}
@media (min-width: 1253px) {
    html { padding: 6rem; }
}

/* ANIMACE */
@keyframes slide-out-up {
    from { transform: translateY(0); opacity: 1; }
    to { transform: translateY(-100%); opacity: 0; }
}

@keyframes slide-in-up {
    from { transform: translateY(100%); opacity: 0; }
    to { transform: translateY(0); opacity: 1; }
}

::view-transition-old(root) {
    animation: 0.6s cubic-bezier(0.65, 0, 0.35, 1) both slide-out-up;
}

::view-transition-new(root) {
    animation: 0.6s cubic-bezier(0.65, 0, 0.35, 1) both slide-in-up;
}

article.card-img {
    opacity: 0;
    transform: translateY(100px);
    transition: opacity 0.6s cubic-bezier(0.65, 0, 0.35, 1), transform 0.6s cubic-bezier(0.65, 0, 0.35, 1);
}

article.card-img.is-visible {
    opacity: 1;
    transform: translateY(0);
}

dialog.card_modal {
    opacity: 0;
    transform: translateY(-100%);
    transition: opacity 0.6s cubic-bezier(0.65, 0, 0.35, 1),
                transform 0.6s cubic-bezier(0.65, 0, 0.35, 1),
                overlay 0.6s allow-discrete,
                display 0.6s allow-discrete;
}

dialog.card_modal:popover-open {
    opacity: 1;
    transform: translateY(0);
}

@starting-style {
    dialog.card_modal:popover-open {
        opacity: 0;
        transform: translateY(100%);
    }
}
.card--hidden {
    display: none;
}